unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, Series, ExtCtrls, TeeProcs, Chart, TeeGDIPlus;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TPieSeries;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    TeeGDIPLus: TTeeGDIPLus;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation


{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
    TeeGDIPLus.Active := true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    TeeGDIPLus.Active := false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  TeeGDIPLus := TTeeGDIPLus.Create(self);
  TeeGDIPLus.TeePanel := Chart1;
  TeeGDIPLus.AntiAliasText := true;
  TeeGDIPLus.AntiAlias := true;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  TeeGDIPLus.Free;
end;

end.

